AntiFeatures:
  NonFreeNet:
    en-US: Uses TTV.lol API which is not libre. Twitch itself is not libre.
  Tracking:
    en-US: TTV.lol leaks your Twitch user ID and personal IP to their Russian proxy.
Categories:
  - Internet
  - Multimedia
License: AGPL-3.0-only
AuthorName: crackededed
SourceCode: https://github.com/crackededed/Xtra/
IssueTracker: https://github.com/crackededed/Xtra/issues/

AutoName: Xtra

RepoType: git
Repo: https://github.com/crackededed/Xtra.git

Builds:
  - versionName: 2.0.1
    versionCode: 106
    commit: 61e55c1006d164a6acdbd177dd01b30f5bfde01e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.0.2
    versionCode: 107
    commit: f475d004156123f6d9ade6b4f94d0e4db78f0bb0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.0.3
    versionCode: 108
    commit: 99b3e9ef82796ea845849679e64f682b8dfe57fe
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.0.4
    versionCode: 109
    commit: 0ec88be1483e42827ad9c70e4523ecd8ac2d8759
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.0.5
    versionCode: 110
    commit: d6014b13458f9a8f7724bf1b5b865e78a1beff2e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.1.0
    versionCode: 111
    commit: 060348a45a5ebad1907f3243c3075a25b090b186
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.2.0
    versionCode: 112
    commit: e697ba38d6f308918cf7c973059cd95cf23481ac
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.3.0
    versionCode: 113
    commit: ec93b67dd694dbb12037f5cf8078484b9cf9757d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.3.1
    versionCode: 114
    commit: 15ad25de517a6147a698eee634aac1c784b4d2a2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.3.2
    versionCode: 115
    commit: 228bd496f77775907c0c4b0b3f76499af8bd62e3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.4.0
    versionCode: 116
    commit: 7aec2847a4071160d1abdbde3fb9c7c3c2d3f2cd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.4.1
    versionCode: 117
    commit: fbe75978cf89492e4dc29cdb9fab38af4541ec3f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.4.2
    versionCode: 118
    commit: 2b9318611639f1b2906bd3a911b27219819ea92a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.4.3
    versionCode: 119
    commit: 444a0ce06d7e8379d7977c0ddbac38a65ed0b414
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.4.4
    versionCode: 120
    commit: 16c0d37232d31209885b032e8b85635b606fa5c5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.0
    versionCode: 121
    commit: 3b64e149cf8ae46bf2027f12571861773c4a0320
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.1
    versionCode: 122
    commit: 0a431661feef545e5f10192d6f0e666a867c2585
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.2
    versionCode: 123
    commit: e56b27002e8b7eb417457db216c8dbddc8667574
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.3
    versionCode: 124
    commit: 69f2d6a4d97432277c5b8b1eb2027f8dffb12f59
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.4
    versionCode: 125
    commit: 46b36963a2b7e55e6ed30ac9e9e5886679b688f0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.5
    versionCode: 126
    commit: 4bdbef1b964e4ec5f941144db4ac358789c594fd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.6
    versionCode: 127
    commit: 2a61c58f930099b4e18826f122c3cb6665354a14
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.8
    versionCode: 129
    commit: d1a0fb47732eb26982c475c444b535efed895269
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.9
    versionCode: 130
    commit: 5e6259006cbe3358fcc6da74cbfacf443b73002a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.6.1
    versionCode: 132
    commit: 73338a47a14f3b74b80fe3aa479c2f878126a4b3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.6.2
    versionCode: 133
    commit: 2a827f6e868a662f8125f847e1ab6b708dbec428
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.6.3
    versionCode: 134
    commit: 5e934db31bef81492e5a70da4afcb07a1896db3f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.6.4
    versionCode: 135
    commit: 063dbc5c737d3b27199aff416a0464e859d909d4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.6.5
    versionCode: 136
    commit: 3f55bd42d2164746799263d4abe7ff41327bc9b7
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.6.6
    versionCode: 137
    commit: 709bb679b251bcb9fa206f392331bd16b0e95dd8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.7.0
    versionCode: 138
    commit: b1d78ff5c0a4687f694f0ff0b19c875c2e772635
    subdir: app
    gradle:
      - yes

  - versionName: 2.7.1
    versionCode: 139
    commit: b20a2bced893baa19bbbc7ff66c89ff3f413ab4b
    subdir: app
    gradle:
      - yes

  - versionName: 2.7.2
    versionCode: 140
    commit: e7eb22e864a94c2863b0e767533f94de168d8f37
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.0
    versionCode: 141
    commit: f258cc07ac1ecf55826f6c8f86460343f014fb9b
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.1
    versionCode: 142
    commit: 3b91fbd744d7a40ff8ea07ddce7149c7e679411d
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.3
    versionCode: 144
    commit: e4aa3ccbb6222a77d7475820c199ba8d3461026e
    subdir: app
    gradle:
      - yes

  - versionName: 2.9.0
    versionCode: 145
    commit: 4da0ae6e09f7423785b0f6ad25aac2b1c849fedb
    subdir: app
    gradle:
      - yes

  - versionName: 2.9.1
    versionCode: 146
    commit: db8416e8d937678ea638cee7da03b3f1801115f7
    subdir: app
    gradle:
      - yes

  - versionName: 2.9.3
    versionCode: 148
    commit: 2eee9a62baaf644a03a0dc6d711c7246e963bfeb
    subdir: app
    gradle:
      - yes

  - versionName: 2.9.4
    versionCode: 149
    commit: 2c36e7c59ebddac8517c449a874c92beb80846df
    subdir: app
    gradle:
      - yes

  - versionName: 2.9.5
    versionCode: 150
    commit: 3818f1b175ec889197854d6d438b996107b0bcea
    subdir: app
    gradle:
      - yes

  - versionName: 2.9.6
    versionCode: 151
    commit: 8fcc600bdb19bb9ec230d91c8710d0ba1c651c4a
    subdir: app
    gradle:
      - yes

  - versionName: 2.10.0
    versionCode: 152
    commit: 9ab8faa71dbf163db415958d673914776240cab6
    subdir: app
    gradle:
      - yes

  - versionName: 2.10.1
    versionCode: 153
    commit: 4023174d356bb8a721e6ca5765e70765520ef9ce
    subdir: app
    gradle:
      - yes

  - versionName: 2.10.2
    versionCode: 154
    commit: fe41ab6075f89e360e24d7a5fd45fcd45b67aad6
    subdir: app
    gradle:
      - yes

  - versionName: 2.11.0
    versionCode: 155
    commit: eb16829b5fa57a2f7a698d7ef8abb76cabe1dcb8
    subdir: app
    gradle:
      - yes

  - versionName: 2.11.1
    versionCode: 156
    commit: 7fb173984cd557f1e3321892c8cd14dc2ad1564d
    subdir: app
    gradle:
      - yes

  - versionName: 2.11.2
    versionCode: 157
    commit: 25a69e6abc978028feaddc04a717823ac33dac2c
    subdir: app
    gradle:
      - yes

  - versionName: 2.11.4
    versionCode: 159
    commit: 4e3a69bfa3ac7f7e2416dc2e354d34a9f7082dd3
    subdir: app
    gradle:
      - yes

  - versionName: 2.12.0
    versionCode: 160
    commit: de565154d0299a6794a2be9f01940106cf4dad9b
    subdir: app
    gradle:
      - yes

  - versionName: 2.12.1
    versionCode: 161
    commit: 8569846767388b40226e519b9d47a6a32f56204a
    subdir: app
    gradle:
      - yes

  - versionName: 2.12.2
    versionCode: 162
    commit: 5f69680851629c2e429d760ba4c574a43f9fc45d
    subdir: app
    gradle:
      - yes

  - versionName: 2.13.0
    versionCode: 163
    commit: f3af7577abee10f1ad0a78e300ff24055c97bac3
    subdir: app
    gradle:
      - yes

  - versionName: 2.13.1
    versionCode: 164
    commit: d8508f49813d4d956fc9d0db05d695a7470c6d6d
    subdir: app
    gradle:
      - yes

  - versionName: 2.13.2
    versionCode: 165
    commit: 08581fb9ea1d43e16f705cc6ca18995ce2ab1514
    subdir: app
    gradle:
      - yes

  - versionName: 2.14.0
    versionCode: 166
    commit: 74bf110a00427cd0614b7a2285a6b7f851d5d69b
    subdir: app
    gradle:
      - yes

  - versionName: 2.14.1
    versionCode: 167
    commit: 729d3fe68baca31c7fbf05b83b4fd81f68e04f83
    subdir: app
    gradle:
      - yes

  - versionName: 2.14.2
    versionCode: 168
    commit: c6dbd4b5bcdb5c8c76eb9cc982e014448d7de7f9
    subdir: app
    gradle:
      - yes

  - versionName: 2.14.3
    versionCode: 169
    commit: 085b3c963019d17fecf4e040a2ca84afd32919ee
    subdir: app
    gradle:
      - yes

  - versionName: 2.15.0
    versionCode: 170
    commit: 6edbd5a7d3ad1b6c7ed7833c0233cb5941ab37db
    subdir: app
    gradle:
      - yes

  - versionName: 2.16.0
    versionCode: 171
    commit: 1472dba30d808d9fea451e1e27aa5bfb3bf6730b
    subdir: app
    gradle:
      - yes

  - versionName: 2.16.1
    versionCode: 172
    commit: 79f10560729744b32289433b9edbeb6cd8fdaf27
    subdir: app
    gradle:
      - yes

  - versionName: 2.16.2
    versionCode: 173
    commit: 967bbcc40d254482c69c5a017e3fbd3a00f99c80
    subdir: app
    gradle:
      - yes

  - versionName: 2.17.2
    versionCode: 176
    commit: f1924dfadfaa88a82544fc2bcbe07378cf6bbd2c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.17.3
    versionCode: 177
    commit: 6422cf4cd3eecb4b9ba928bfd9fbf806a5e0df39
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.17.4
    versionCode: 178
    commit: c34bf155abffad4040c75eff45bca448e9c0ed0c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.17.5
    versionCode: 179
    commit: a2aedf484643fcbc9ffb9da0955c74472d476984
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.17.7
    versionCode: 181
    commit: bbd9d85fcb24f15819c7e6e87e6c22eef8e527c3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.17.8
    versionCode: 182
    commit: 51b2889e59a13412792ab7045fd0ddbee997d970
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.18.1
    versionCode: 184
    commit: 35a594a478d79e4281bb09c337c029badaced0e4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.18.2
    versionCode: 185
    commit: d28638528381bccb2c38ccbe711208399f15d38f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.18.4
    versionCode: 187
    commit: 98ed0bcbe83e76254b1d15c94e0c26e173148a75
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.18.5
    versionCode: 188
    commit: de6276551a1e9a89efcdb72ac71ed75e836efba7
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.18.6
    versionCode: 189
    commit: 8d571e2f6f84d18215b5e4d89897cd9f49f24e80
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.19.0
    versionCode: 192
    commit: 1a22e746c485d6d8ff6ffea739481d2cb76120b9
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.19.1
    versionCode: 193
    commit: 246502f5476bd7d606df7dcdf3a1c6b81608817f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.19.2
    versionCode: 194
    commit: 59627a10cb7a5b4545d7a8480a811bd030ca2ff8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.20.0
    versionCode: 195
    commit: 54fb082af80d2399e14f0c4e8e4afd4332b352a5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.20.1
    versionCode: 196
    commit: 7bc27ff548186e803a7da1d5688a4335bace8670
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.20.2
    versionCode: 197
    commit: 8a1ff3b81d2635f230f788d00af2aa344e843907
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.21.0
    versionCode: 198
    commit: 9681d6b054a57a8572e07e735dd1ed2217a43fe6
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.21.1
    versionCode: 199
    commit: 7a91a181571f37304e1fd8acb2242c6e51d846cd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.22.0
    versionCode: 200
    commit: 57ed1b07ec97b4ee6c4e953e2329d8eab21bacad
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.22.1
    versionCode: 201
    commit: d63e273eb6da76d7e3c92c6d0a8169a2d001ad5f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.23.0
    versionCode: 202
    commit: 52c952bc621a9278150122f59f4d6299f0cbb36e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.24.0
    versionCode: 203
    commit: c4ca3f28e07043e54ae5d1d2e524864ece9c6e67
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.24.1
    versionCode: 204
    commit: c373242744c4c57c41933c8639de846cad3b91e8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.24.3
    versionCode: 206
    commit: fadbbde8473a0c1ebbfef6250c75a2ad37a620ac
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.25.0
    versionCode: 207
    commit: 4b2feb29b1a80a6e0fb2a4edee00963b6861b2b4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

MaintainerNotes: TTV.lol leaking see https://github.com/TTV-LOL/extensions/issues/8

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.25.0
CurrentVersionCode: 207
